import "../../atom/loading";
import { Base } from "../../base";
import { HbSkeletonType } from './type';
export declare class HbSkeleton extends Base {
    static get styles(): any[];
    type: HbSkeletonType;
    duration: number;
    background: string;
    backgroundAccent: string;
    static get properties(): {
        duration: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        background: {
            type: StringConstructor;
            Reflect: boolean;
        };
        backgroundAccent: {
            type: StringConstructor;
            Reflect: boolean;
        };
        type: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    get skeletonLength(): 1 | 2 | 3;
    render(): import("lit").TemplateResult<1>[];
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-skeleton': HbSkeleton;
    }
}
