import { Base } from "../../base";
import type { SystemTheme } from "../../../index";
/**
 * @property color 지정 테마
 * @slot - 기본 slot
 */
export declare class HbChip extends Base {
    static get styles(): any[];
    static get properties(): {
        color: {
            reflect: boolean;
        };
    };
    color: SystemTheme;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-chip': HbChip;
    }
}
