import { Size } from "../variable/type";
import { Base } from "../../base";
import { HbIconName } from './type';
/**
 * @property open 온 오프
 * @slot header - optional, 헤더
 * @slot content - optional, 내용
 * @slot footer - optional, 푸터
 * @csspart container
 * @csspart header
 * @csspart content
 * @csspart footer
 */
export declare class HbIcon extends Base {
    static get styles(): any[];
    icon: HbIconName;
    size: Size;
    static get properties(): {
        icon: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-icon': HbIcon;
    }
}
