import { Base } from "../../base";
import { HbTransitionType } from './type';
export declare class HbTransition extends Base {
    static get styles(): any[];
    _show: boolean;
    delete: boolean;
    type: HbTransitionType;
    get show(): boolean;
    set show(value: boolean);
    static get properties(): {
        show: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        delete: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        type: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    connectedCallback(): Promise<void>;
    onAnimationEnd(evnt: AnimationEvent): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-transition': HbTransition;
    }
}
