import { Base } from "../../base";
/**
 *
 */
export declare class HbAnchor extends Base {
    static get styles(): any[];
    href: string;
    target: string;
    text: string;
    _disabled: boolean;
    get disabled(): boolean;
    set disabled(value: boolean);
    static get properties(): {
        href: {
            type: StringConstructor;
            Reflect: boolean;
        };
        target: {
            type: StringConstructor;
            Reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
    };
    connectedCallback(): Promise<void>;
    adapterEvent(event: Event): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-anchor': HbAnchor;
    }
}
