import '../';
import { Base } from "../../../base";
/**
 * @fires close 닫기
 * @property open 온 오프
 * @property width
 * @property persistent
 * @property hideCloseBtn
 * @property image
 * @property textLongClose 3일간 보지않기 버튼 텍스트 편집
 * @property textClose 닫기 버튼 텍스트 편집
 */
export declare class HbEventDialog extends Base {
    static get styles(): any[];
    width: string;
    loadingWidth: number;
    loadingHeight: number;
    open: boolean;
    persistent: boolean;
    hideCloseBtn: boolean;
    image: string;
    href: string;
    textLongClose: string;
    textClose: string;
    loaded: boolean;
    cookieKey: string;
    static get properties(): {
        open: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        persistent: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        hideCloseBtn: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        width: {
            type: StringConstructor;
            Reflect: boolean;
        };
        loadingWidth: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        loadingHeight: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        loaded: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        image: {
            type: StringConstructor;
            Reflect: boolean;
        };
        textLongClose: {
            type: StringConstructor;
            Reflect: boolean;
        };
        textClose: {
            type: StringConstructor;
            Reflect: boolean;
        };
        cookieKey: {
            type: StringConstructor;
            Reflect: boolean;
        };
        href: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    get isOpen(): boolean;
    render(): import("lit").TemplateResult<1>;
    adapterClose(): void;
    onClose(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-event-dialog': HbEventDialog;
    }
}
