import { Base } from "../../base";
/**
 * @property value
 * @slot content 기본 컨텐츠 영역
 * @slot header 버튼 영역
 * @csspart header
 * @csspart content
 */
export declare class HbTab extends Base {
    static get styles(): any[];
    btns: HTMLElement[];
    contents: HTMLElement[];
    _value: string;
    left: number;
    width: number;
    get value(): string;
    set value(value: string);
    static get properties(): {
        left: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        width: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        value: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    connectedCallback(): Promise<void>;
    onClick(ev: Event): void;
    setIndicator(): Promise<void>;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-tab': HbTab;
    }
}
