import "../../atom/icon";
import { Base } from "../../base";
/**
 * @slot front, 오프너
 * @csspart front
 * @csspart content
 */
export declare class HbTooltip extends Base {
    static get styles(): any[];
    open: boolean;
    static get properties(): {
        open: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        width: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        height: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        position: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
    };
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-tooltip': HbTooltip;
    }
}
